Zeitgeist.DataSourceRegistry – zeitgeist-2.0 Reference Manual

# DataSourceRegistry

## Object Hierarchy:

## Description:

public class DataSourceRegistry : QueuedProxyWrapper

Query the Zeitgeist Data-Source Registry extension

The Zeitgeist engine maintains a publicly available list of recognized data-sources (components inserting information into Zeitgeist). ZeitgeistDataSourceRegistry is used to register new data sources, get information about them and gives the ability to enable or disable the data sources.

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Creation methods:

- public DataSourceRegistry ()

### Methods:

- public async DataSource get_data_source_from_id (string unique_id, Cancellable? cancellable = null) throws Error
- public async GenericArray<DataSource> get_data_sources (Cancellable? cancellable = null) throws Error
- protected override void on_connection_established ()
- protected override void on_connection_lost ()
- public async bool register_data_source (DataSource data_source, Cancellable? cancellable = null) throws Error
- public async void set_data_source_enabled (string unique_id, bool enabled, Cancellable? cancellable = null) throws Error

### Signals:

- public signal void source_disconnected (DataSource data_source)
- public signal void source_enabled (string unique_id, bool enabled)
- public signal void source_registered (DataSource data_source)

### Inherited Members:

All known members inherited from class Zeitgeist.QueuedProxyWrapper

- is_connected
- name_owner_changed
- on_connection_established

- on_connection_lost
- process_queued_methods
- proxy_acquired

- proxy_created
- proxy_unavailable
- wait_for_proxy

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref